* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-decoration: none;
    color: #fff;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #222631ab;
    box-shadow: 0 1px 2px rgba(99, 99, 99, 0.1);
    backdrop-filter: blur(10px);
    
    nav {
        margin: 0 auto;
        max-width: 1100px;
        padding: 10px 50px;
        display: flex;
        justify-content: space-between; 
        align-items: center;
        
        a {
            display: flex;
            align-items: center;
            gap: 10px;
            padding: 2px 20px 2px 2px;
            border: #ffffff6b 2px solid;
            font-weight: bold;

            background-color: rgba(56, 56, 56, 0.726);
            border-radius: 40px;

            img {
                width: 50px;
                border-radius: 100%;
            }
        }


        h2 {
            color: #fff;
            font-size: 1.5rem;
            font-weight: bold;
        }
    }
}


body {
    margin: 0 40px;
    background-color: rgb(26, 26, 32);
}

.panel {
    overflow-y: hidden;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
    gap: 2rem;
    padding: 0 2rem;
}

img {
    max-width: 300px;
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.5);
}

.column {
    --colum-offset: 10vh;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: var(--colum-offset) 0;
}

.column-reverse {
    animation: adjust-position linear forwards;
    animation-timeline: scroll(root block);
    flex-direction: column-reverse;
}

@keyframes adjust-position {
    0% {
        transform: translateY(calc(-100% + 100vh));
    }

    100% {
        transform: translateY(calc(100% - 100vh));
    }
}